Wallets, tokens & networks

Get Z Ksync Tokens Balance

Reads the ZK token ERC-20 balance of any address on zkSync via JSON-RPC.

POSThttps://api.toku.com/tga/get-z-ksync-tokens-balance

Not available to API keys yet. It will need wallets:write.

curl --request POST \
  --url 'https://api.toku.com/tga/get-z-ksync-tokens-balance' \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "walletAddress": "string"
}'
200 response
{
  "balance": "string"
}

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.

Body

application/json

walletAddressstringrequired

Response

200Successful response
balancestringrequired
400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits